package net.northking.cctp.upperComputer.driver.harmony.hyppium;

public abstract class StaticRequestData<T> extends RequestData<T> {

    private byte[] data = null;

    public StaticRequestData(String method, String api, T args) {
        super(method, api, args);
    }

    @Override
    public byte[] toByteArray() {
        if (data == null) {
            data = super.toByteArray();
        }
        return data;
    }
}
